#inspired by https://grpc.io/docs/tutorials/basic/python.html

# Copyright 2015 gRPC authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""The Python implementation of the gRPC route guide client."""

from __future__ import print_function

import random

import grpc

import sys
sys.path.append('generated')

import nil_test_pb2_grpc
import nil_test_pb2

def run():
    channel = grpc.insecure_channel('localhost:50051')
    stub = nil_test_pb2_grpc.IntegerServiceStub(channel)
    send_int = nil_test_pb2.SenderInfo(frequency=0)
    a = stub.SendInteger(send_int)
    print("Expecting an int back %d", a)
    # set_fan_speed(stub, 8, 0)

if __name__ == '__main__':
    run()
